/* ====================GOOGLE FONT ========================*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&display=swap');

/* =================== RESET ========================*/
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}
html{
    scroll-behavior:smooth;
 }
body{
    font-family:'Poppins',sans-serif;
    background:#f8fafc;
    color: #1f2937;
}
h1,h2,h3,h4{
    font-family: 'Poppins', sans-serif;
}

/* ===============  SIDEBAR ================== */

.sidebar {
    position:fixed;
    top:15px;
    left:15px;
    width:280px;
    height:calc(100vh - 30px);
    background: #eceff3;                /* #edf1f5; */
    color:#000000;
    border-radius:15px;
    display:flex;
    flex-direction:column;
    padding:60px 40px;
}
.logo{
    color:#1f2937;
    font-size:22px;
    font-weight:700;
    letter-spacing:2px;
    word-spacing:6px;
    text-align:center;
    margin-bottom:8px;
    font-family:'Poppins', sans-serif;
}
.sidebar ul{
 list-style: none;
 position:absolute;
 top:56%;
 left:56%;
 transform:translate(-56%, -56%);
}
.sidebar h4{
    color: #2563eb;
    font-size:10px;
    font-weight:500;
    text-align:center;
    letter-spacing:1px;
    word-spacing:2px;
    white-space:nowrap;
    margin-top:5px;
}
.sidebar h1{
    font-size:15px;  
    letter-spacing:1px;
    word-spacing:8px;
}
.sidebar ul li{
    margin:18px 0;
}
.sidebar nav ul li a {
    display:flex;
    align-items:center;
    justify-content: flex-start;
    gap:15px;
    text-decoration:none;
    color:#000000;
    font-size:15px;
    font-weight:600;
    letter-spacing:1.2px;
    text-transform:uppercase;
    transition:all .35s ease;
}
.sidebar ul li a:hover{
    color:#2563eb;
    padding-left:12px;
}
.sidebar ul li a i {
    width:22px;
    text-align:center;
    font-size:18px;
}

/* ***********************Copyright ************************** */
.sidebar-footer{
    margin-top:auto;
    text-align:center;
}
.copyright{
    font-size:12px;
    color:#000000;
    line-height:1.6;
    letter-spacing:.5px;
}

/* ================  SOCIAL LINKS  =========================== */

.social-links{
    position: relative;
    margin-top:10px;
    justify-content:center;
    display: flex;
    gap: 25px;         /* Equal spacing */
}
.social-links a{
    color:#000000;
    font-size:25px;
    transition:.35s;
}
.social-links a:hover{
    color:#2563eb;
    transform:translateY(-5px);
}

/* =================== MAIN ========================== */

main{
    margin-left:300px;
    padding:40px;
}

/* =============== HOME ===========================*/
.home{
    min-height:calc(100vh - 30px);
    position:relative;
    border-radius:10px;
    overflow:hidden;
    background:transparent;
}

.home::before{
    content:"";
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:600px;
    background:rgba(255,255,255,.18);
    pointer-events:none;
}
.home-btn{
    margin-top:35px;
}

.home-btn a{
   display:inline-block;
   padding:14px 36px;
   border:2px solid #2563eb;
   border-radius:40px;
   background:transparent;
   color:#2563eb;
   text-decoration:none;
   font-size:18px;
   font-weight:600;
   transition:.35s;
}

.home-btn a:hover{
    background:#2563eb;
    color:#fff;
    transform:translateY(-3px);
}

/* ================  COVER IMAGE  ========================== */

.cover-image{
    height:95vh;
    position:relative;
    overflow:hidden;
    z-index:1;
    border-radius:10px;
}
.cover-image img{
    width:100%;
    height:100%;
    object-fit:cover;
    object-position:center 75%;
    border-radius:10px;

}
.cover-image::after{
    content:"";
    position:absolute;
    border-radius:10px;
    inset:0;
    background:rgba(0,0,0,.18);
}

/* ===============  PROFILE  ==========================*/

.profile{
    position:absolute;
    top:12%;
    left:50%;
    transform:translateX(-50%);
    z-index:100;
}
.profile img{
    width:220px;
    height:220px;
    border:5px solid white;
    object-fit:cover;
    box-shadow:0 8px 30px rgba(0,0,0,.18);
    border-radius:50%;
    margin-bottom: -10px;
}


/*  ======================   INTRO  ======================= */

.intro{
    position:absolute;
    top:48%;
    left:50%;
    transform:translate(-50%,-50%);
    width:70%;
    text-align:center;
    z-index:100;
}
.intro h1{
    font-size:48px;
    margin-top:6px;
    word-spacing: 13px;
}

.intro h3{
    font-size:18px;
    font-weight:500;
    color:#000000;
    margin-bottom:8px;
    letter-spacing:1px;
}
.intro p{
    width:70%;
    margin:auto;
    margin-top:30px;
    font-size:18px;
    line-height:1.8;
    color:#555;
}


/* ================= CONTENT SECTIONS ================= */
.content-section{
    background:#ffffff;
    border-radius:10px;
    box-shadow:0 5px 20px rgba(0,0,0,.08);
    padding:50px;
    margin:60px 0;
}
/* Section Titles */
.content-section h1{
    display: flex;
    align-items:center;
    gap:10px;
    font-size:36px;
    color:#1f2937;
    margin-bottom:30px;
    border-bottom:2px solid #2563eb;
    padding-bottom:10px;
}
.content-section h2{
    display:flex;
    align-items:center;
    gap:12px;
    font-size:42px;
    color:#1f2937;
    margin-bottom:35px;
    padding-bottom:12px;
    border-bottom:3px solid #2563eb;
}

/* Paragraph */
.content-section p{
    font-size:18px;
    line-height:1.8;
    color:#555;
}

/* Lists */
.content-section ul{
    list-style:none;
    padding-left:0;
}
.content-section li{
    margin-bottom:18px;
    font-size:17px;
}

/* ================= EDUCATION CARDS ================= */

.education-card{
    background:#ffffff;
    border:2px solid #e5e7eb;
    border-radius:18px;
    padding:22px 24px;
    margin:18px 0;
    margin-bottom:10px; 
    box-shadow:0 4px 15px rgba(0,0,0,.08);
    transition:.35s ease;
}
.education-card:hover{
    transform:translateY(-4px);
    box-shadow:0 8px 25px rgba(0,0,0,.12);
}
.education-card h3{
    display:flex;
    align-items:center;
    gap:10px;
    font-size:22px;
    color:#1f2937;
    margin-bottom: 6px;
}
.education-meta{
    color:#555;
    font-size:15px;
    margin-bottom: 5px;
}
.education-links a{
    color:#2563eb;
    font-weight:600;
    text-decoration:none;
}
.education-links a:hover{
    text-decoration:underline;
}

/* ================= RESEARCH PAPERS ================= */

.paper{
    background:#ffffff;
    border:2px solid #e5e7eb;
    border-radius:18px;
    padding:24px;
    margin:22px 0;
    margin-bottom: 10px;
    box-shadow:0 4px 15px rgba(0,0,0,.08);
    transition:.35s;
}
.paper:hover{
    transform:translateY(-4px);
    box-shadow:0 8px 25px rgba(0,0,0,.12);
}
.paper h3{
    display:flex;
    align-items:center;
    gap:10px;
    font-size:22px;
    color:#1f2937;
    margin-bottom: 6px;
}
.paper-meta{
    color:#666;
    margin:5px 0;
    font-size:15px;
}
.paper p{
    margin:15px 0;
}
.paper-links a{
    color:#2563eb;
    font-weight:600;
    text-decoration:none;
}
.paper-links a:hover{
    text-decoration:underline;
}

/* ================= SOFTWARE PROJECTS ================= */

.project{
    background:#ffffff;
    border:2px solid #e5e7eb;
    border-radius:18px;
    padding:24px;
    margin:22px 0;
    margin-bottom: 10px;
    box-shadow:0 4px 15px rgba(0,0,0,.08);
    transition:.35s;
}
.project:hover{
    transform:translateY(-4px);
    box-shadow:0 8px 25px rgba(0,0,0,.12);
}
.project h3{
    display:flex;
    align-items:center;
    gap:10px;
    font-size:22px;
    color:#1f2937;
    margin-bottom: 6px;
}
.project-meta{
    color:#666;
    margin: 5px 0;
    font-size:15px;
}
.project p{
    margin:15px 0;
}
.project-links{
    display:flex;
    align-items:center;
    gap:15px;
    margin-top:18px;
}
.project-links a{
    background:#eceff3;
    color:#000000;

}
.project-links a:hover{
    background:#000000;
    color:#ffffff;
    text-decoration:underline;
}

.project-links a, .details-btn {
    display:inline-flex;
    align-items:center;
    justify-content:center;
    width:170px;
    height:45px;
    border-radius:8px;
    text-decoration:none;
    font-size: 15px;
    font-weight:600;
    transition: .3s;
}

/* ================= PROJECT DETAILS ================= */
.project-details{
    display:none;
    margin-top:20px;
    padding-top:20px;
    border-top:1px solid #dcdcdc;
    animation:fadeDown .35s ease;
}
.project-image{
    display:block;
    width:35%;
    height:auto;
    margin:25px auto;
    border-radius:12px;
    box-shadow:0 5px 15px 20px rgba(0,0,0,.10);
}
.details-btn{
    border:1px solid #d1d5db;;
    background:#f3f4f6;
    color:#1f2937;
    padding:10px 18px;
    border-radius:8px;
    cursor:pointer;
    font-size:15px;
    transition:.3s;
}
.details-btn:hover{
    background:#e5e7eb;
}
.project-details h4{
    margin-top:22px;
    margin-bottom:10px;
    color:#1f2937;
    font-size:20px;
}
.project-details ul{
    padding-left:22px;
}
.project-details li{
    margin-bottom:8px;
}

@keyframes fadeDown{
    from{
        opacity:0;
        transform:translateY(-10px);
    }
    to{
        opacity:1;
        transform:translateY(0);
    }
}

.publication-links a {
    text-decoration: none; /* removes underline */
    color: #A6CE39;        /* optional: set text color */
}
.resume-links a{
 text-decoration: none;
}
